2019-11-14 20:18 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006287Spring engineGeneralpublic2019-09-01 00:28
Reporterraaar 
Assigned ToKloot 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006287: 104.0.1-1378-g00fda18_maintenance |black square around some CEG effects
Descriptionon metal factions 1.142 (or any version really), some ceg effects show up in a dark square on the latest maintenance builds.

This happens on build 1378 and 1370, but not on build 1344 and earlier.
Steps To Reproducestart the game, spawn "aven_trooper" and order it to fire at the ground.
Additional InformationThe CEG in question is defined on a .tdf file like so:

[EMGFLARE]
{
   usedefaultexplosions=1;

   [LARGEFLASH]
   {
    class = CBitmapMuzzleFlame;
      
    [properties]
          {
             dir = dir;
             colorMap=1.0 0.8 0.4 0.01 0.8 0.6 0.3 0.01 0.8 0.5 0.2 0.01;
              size=7;
              length=15;
              sizeGrowth=0;
              ttl=1;
              frontOffset=0;
              sideTexture=muzzleside;
              frontTexture=muzzlefront;
          }
   water=1;
   air=1;
   underwater=1;
   ground=1;
   count=1;
   }
    [RealFlare]
    {
        class=CSimpleParticleSystem;
        [properties]
        {
            sizeGrowth=0.0;
            sizeMod=1.0;
            pos=0, 0, 0;
            emitVector=dir;
            gravity=0, 0, 0;
            colorMap=1.0 0.8 0.8 0.01 0.9 0.6 0.4 0.00;
            Texture=light;
            airdrag=0.8;
            particleLife=4;
            particleLifeSpread=5;
            numParticles=1;
            particleSpeed=0;
            particleSpeedSpread=0;
            particleSize=9;
            particleSizeSpread=5;
            emitRot=0;
            emitRotSpread=10;
            directional=0;
        }
        air=1;
        water=1;
        ground=1;
        count=1;
    }
    [GLOW]
    {
        class=CExploSpikeProjectile;
        [properties]
        {
            dir=dir;
            width=20;
            length=15;
            alpha=0.3;
            alphadecay=0.06;
            color=0.9, 0.8, 0.6;

        }
        air=1;
        water=1;
        ground=1;
          count=1;
    }
}
TagsNo tags attached.
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-31 02:43 raaar New Issue
2019-08-31 02:43 raaar File Added: 104.0.1-1378_maintenance_ceg_issue.jpg
2019-08-31 11:00 Kloot Priority high => low
2019-08-31 11:00 Kloot Severity major => minor
2019-08-31 11:00 Kloot Checked infolog.txt for lua Errors Irrelevant => |Irrelevant|
2019-09-01 00:28 Kloot Assigned To => Kloot
2019-09-01 00:28 Kloot Status new => resolved
2019-09-01 00:28 Kloot Resolution open => fixed
2019-09-01 00:28 Kloot Fixed in Version => 104.0 +git
+Issue History